#!/usr/bin/env cwl-runner
cwlVersion: v1.2
class: CommandLineTool
requirements:
  InitialWorkDirRequirement:
    listing:
      - entryname: plot-cwls.sh
        entry:
          $include: plot-cwls.sh

baseCommand: ["bash", "plot-cwls.sh"]

inputs:
    arcRoot:
        type: Directory
        inputBinding:
            position: 1
    cwlPattern:
        type: string
        inputBinding:
            position: 2
    outWflList:
        type: string
        inputBinding:
            position: 3
    outGraphs:
        type: string
        inputBinding:
            position: 4

outputs:
  output_files:
    type: File[]
    outputBinding:
      glob: $(inputs.outGraphs)/*.svg
